Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040517
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2019-04-04 10:112019-05-21 15:16
ReportergorkaionView Statuspublic 
Assigned Tononofrancisco 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision0bd36b5d697b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040517: In Landed Cost it is possible to see receipts of parent org when role does not have access to it

DescriptionWith a role that only has access to a generic role. When creating a new Landed Cost and selecting the receipt the user can select receipts to parent organization.

Users should only see transactional data of their organization and child organizations. But not from parent organization. For example the Create Lines from in Goods Shipment is not showing Sales Orders created in parent orgs.

Steps To ReproduceCreate Shipments in F&B España, S.A and F&B España - Región Norte organizations.

Create a role that ONLY has access to F&B España - Región Norte organization.

With that role:
   Create a Landed Cost Type
   Create a Landed Cost
   Set a Cost to it
   On Receipt tab open the receipt selector.
   Check that it is showing receipts from F&B España, S.A.

   
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040516 closednonofrancisco Cannot process a Landed Cost if the role does not have access to its Legal Entity 

-  Notes
(0111006)
nonofrancisco (developer)
2019-04-05 15:04

Test Plan

Create Shipments in F&B España, S.A and F&B España - Región Norte organizations.

Create a role that ONLY has access to F&B España - Región Norte organization.
  Grant access to windows
    Goods Receipt
    Landed Cost Type
    Landed Cost

With that role:
   Create a Landed Cost Type
   Create a Landed Cost
   Set a Cost to it
   On Receipt tab open the receipt selector.
   Verify that receipt from F&B España, S.A organization are not shown
(0111271)
hgbot (developer)
2019-04-24 12:50

Repository: erp/devel/pi
Changeset: 0bd36b5d697b12c106103ce4a73cc14ab697f982
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Wed Apr 24 10:21:28 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/0bd36b5d697b12c106103ce4a73cc14ab697f982 [^]

Fixes issue 40517: Prevents show receipts of parent organization

In Landed Cost/Receipt tab, only receipts from organization the user role has
access will be shown.

---
M src-db/database/sourcedata/OBUISEL_SELECTOR.xml
---
(0111273)
Sandrahuguet (developer)
2019-04-24 12:55

Code review + testing OK
(0111994)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-04 10:11 gorkaion New Issue
2019-04-04 10:11 gorkaion Assigned To => Triage Finance
2019-04-04 10:11 gorkaion Modules => Core
2019-04-04 10:11 gorkaion Triggers an Emergency Pack => No
2019-04-04 10:11 gorkaion Issue generated from 0040516
2019-04-04 10:11 gorkaion Relationship added related to 0040516
2019-04-04 10:35 Sandrahuguet Assigned To Triage Finance => nonofrancisco
2019-04-05 14:58 nonofrancisco Status new => scheduled
2019-04-05 15:04 nonofrancisco Note Added: 0111006
2019-04-24 09:46 ngarcia Issue Monitored: ngarcia
2019-04-24 12:50 hgbot Checkin
2019-04-24 12:50 hgbot Note Added: 0111271
2019-04-24 12:50 hgbot Status scheduled => resolved
2019-04-24 12:50 hgbot Resolution open => fixed
2019-04-24 12:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0bd36b5d697b12c106103ce4a73cc14ab697f982 [^]
2019-04-24 12:55 Sandrahuguet Review Assigned To => Sandrahuguet
2019-04-24 12:55 Sandrahuguet Note Added: 0111273
2019-04-24 12:55 Sandrahuguet Status resolved => closed
2019-04-24 12:55 Sandrahuguet Fixed in Version => 3.0PR19Q3
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111994


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker